Skip to main content
GET
Get a webhook subscription

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

subscription_id
string
required

The unique webhook subscription identifier (base64) A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Response

A webhook subscription object

A subscription delivers one event from one prompt or evaluator to one webhook. A webhook that should receive several events from the same resource has one subscription per event.

id
string
required

Unique identifier for the subscription

Example:

"RW50aXR5OjEyMzQ1"

webhook_id
string
required

The unique identifier of the webhook that receives the event

Example:

"RW50aXR5OjEyMzQ1"

source_type
enum<string>
required

The kind of resource the subscription is attached to

Available options:
PROMPT,
EVALUATOR
source_id
string
required

The unique identifier of the prompt or evaluator the subscription is attached to

Example:

"RW50aXR5OjEyMzQ1"

event
enum<string>
required

The event delivered to the webhook

Available options:
PROMPT_VERSION_CREATED,
PROMPT_VERSION_LABELED,
PROMPT_VERSION_UNLABELED,
EVALUATOR_VERSION_CREATED
created_at
string<date-time>
required

Timestamp for when the subscription was created